\documentclass[11pt]{standalone}
\usepackage{stanli}

\begin{document}
    
\begin{tikzpicture}
%\draw[help lines](-5,-5) grid (14,13);

\scaling{1.15}

%% Structure 
\point{1}{0}{0};
\point{2}{0}{2.7};
\point{3}{3.6}{2.7};
\point{4}{0}{5.4}; 

\point{a}{5.15}{6}; % for prescribed displacement

\beam{2}{1}{2};
\beam{2}{1}{3};
\beam{2}{2}{3};

\beam{2}{2}{4};
\beam{2}{3}{4};

\support{1}{1};
\support{1}{4}[180];

\hinge{1}{1};
\hinge{1}{2};
\hinge{1}{3};
\hinge{1}{4};

\load{1}{3}[-90];
\temperature{2}{3}{.5}{.5}[0.5][$-20^\circ$C][$-20^\circ$C];

\dimensioning{1}{2}{3}{-1.25}[$3.6$~m];
\dimensioning{2}{1}{2}{-1}[$2.7$~m];
\dimensioning{2}{2}{4}{-1}[$2.7$~m];

\notation{1}{1}{$\bf 1$}[left=1mm];
\notation{1}{2}{$\bf 2$}[left=1mm];
\notation{1}{3}{$\bf 3$}[right=1mm];
\notation{1}{4}{$\bf 4$}[left=1mm];

\notation{1}{3}{25 kN}[below=12.5mm];

\end{tikzpicture}

\end{document}